@import '../../index.css';

.upper--card {
    background-color: var(--indigo);
    width: fit-content;
}

.title {
    font-weight: 900;
}

.lower--card {
    display: grid;
    grid-template-columns: 1fr 1fr;
}

.det {
    color: var(--card-blue);
    font-weight: 900;
}

.edit--btn {
    width: fit-content;
    background-color: var(--indigo);
    color: white;
    margin: auto;
    margin-bottom: 2rem;
    border: none;
    border-radius: 2rem;
}

.policy--details {
    display: flex;
    justify-content: flex-start;
    align-items: flex-start;
    background-color: var(--indigo);
    flex-wrap: wrap;
    gap: 1rem !important;
    padding: 1.5rem 3rem !important;
    flex-direction: column;
    flex-basis: 35%;
}

.spinner {
    width: 100vw;
    height: 100vh;
    display: grid;
    place-content: center;
    place-items: center;
    color: var(--indigo);
}

.card--outer {
    max-height: 31vh;
}

.table-responsive {
    height: 100%;
    overflow-y: hidden;
}

table {
    height: 100%;
}

/* PolicyDetailsCards- CSS */

.card-details {
    border: 1px solid #6c63ff;
    border-radius: 15px;
    padding: 10px;
    width: 20rem;
    margin: 0.5rem 1rem;
    padding-right: 3rem;
    background-color: white;
}

.user-details {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    flex-wrap: wrap;
    margin-top: 15px;
}

.user-details > div > p {
    margin: 0px;
}

.user-details > div > p:nth-child(1) {
    color: gray;
    font-size: 10px;
}

.user-details > div {
    text-align: start;
    margin: 5px;
    min-width: 6rem;
}

.card-details > div {
    display: flex;
    align-items: center;
}

.card-details > div:nth-child(1) > div {
    margin-left: 20px;
}

.card-details > div > div > h4 {
    font-size: 20px;
    margin: 0px;
}

.profile-img {
    width: 40px;
    height: 100%;
}

.font-12 {
    font-weight: 600;
}

/* PolicyDetails- CSS */

.policyDetailsCard-container {
    display: flex;
    width: 70rem;
    overflow-x: scroll;
}

.policy--layout {
    flex-wrap: wrap;
    gap: 6rem;
}
